* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Arial', sans-serif;
  }
  
  body { 
    color: #333;
    height: 500px;
  }
  
  .navbar {
    display: flex;
    justify-content: space-between;
    padding: 20px;
    background: #ff385c;
    color: white;
  }
  
  .navbar .logo {
    font-size: 1.5rem;
    font-weight: bold;
  }
  
  .navbar nav a {
    color: white;
    margin-left: 20px;
    text-decoration: none;
  }
  
  .hero {
    padding: 50px 20px;
    text-align: center;
    color: rgb(248, 247, 247);
  }
  
  .hero input {
    margin-top: 20px;
    padding: 10px;
    width: 60%;
    max-width: 500px;
    border: 2px solid black;
    border-radius: 5px;
    background-color:white;
  }
  
  .categories {
    display: flex;
    justify-content: center;
    margin: 40px 0;
    gap: 20px;
  }
  
  .category {
    padding: 10px;
    background: #f8f8f8;
    border-radius: 10px;
    width: 150px;
    text-align: center;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
  }
  
  .restaurants {
    padding: 50px;
  }
  
  .restaurants h2 {
    margin-bottom: 20px;
  }
  
  .cards {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: space-evenly;
  }
  
  .card {
    width: 250px;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
    background: #fff;

}
  .card:hover{
    width: 270px;
  }
  .card img {
    width: 100%;
    height: 150px;
    object-fit: cover;
  }
  
  .card h3 {
    margin: 10px;
  }
  
  .card p {
    margin: 0 10px 10px;
    color: gray;
  }
  .menus {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: space-evenly;
  }
  
  .menu {
    width: 150px;      
    height: 150px;
    border-radius: 50%; 
    object-fit: cover;
    border: 2px solid #333;
}
  .menu img {
    width: 150px;      
    height: 150px;
    border-radius: 50%; 
    object-fit: cover;  
    border: 2px solid #333;
  }
  
  .menu h3 {
    margin: 20px;
    text-align: center;
  }
  
  .menu p {
    margin: 0 10px 10px;
    color: gray;
  }
  
  footer {
    text-align: center;
    padding: 20px;
    background: #f0f0f0;
  }
  h2{
    text-align: center;
    padding-top : 20px;
  }
  .all{
    background: url("https://static.vecteezy.com/system/resources/previews/054/572/533/non_2x/assorted-indian-spices-palak-paneer-butter-chicken-grilled-fish-tandoori-chicken-pepperoni-pizza-naan-and-chutney-served-in-dish-isolated-on-wooden-background-top-view-of-pakistani-and-desi-food-photo.jpg");
    padding-bottom: 30px;
    background-repeat: no-repeat;
    background-size: cover;
  }
  